Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044265
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2020-06-02 16:262020-06-04 12:18
ReporteregoitzView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision45a22d23973d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044265: Grid timeout is not working on the popup for audit trail

DescriptionHaving a timeout for the queries of the grid defined on the Openbravo.properties, that value is not considered on the grids shown on the audit trail popups.
Steps To Reproduce-On an environment with big amount of data and big amout of audit information.
-Define on Openbravo.properties a low value for the grid timeout
-open the popup for audit trail on a window that is being audited.

*Query is not killed after the timeout.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0040479 acknowledgedplatform Reimplement Audit Trail popup with 3.0 technology 
related to defect 0040449 closedjarmendariz 'Show audit trail' manual window has performance problems in environments with many business partners 
depends on backport 0044282PR20Q2.1 closedcberner Grid timeout is not working on the popup for audit trail 
depends on backport 0044283PR20Q1.3 closedcberner Grid timeout is not working on the popup for audit trail 

-  Notes
(0120640)
cberner (developer)
2020-06-04 10:27

Merge Request: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/80 [^]
(0120645)
hgbot (developer)
2020-06-04 12:13

Repository: erp/devel/pi
Changeset: 45a22d23973d6bfb14514f5d58978d7879129bee
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Jun 04 10:11:08 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/45a22d23973d6bfb14514f5d58978d7879129bee [^]

Fixes ISSUE-44265: Use grid timeout in audit trail popup grid queries

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonUtils.java
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopup.java
---

- Issue History
Date Modified Username Field Change
2020-06-02 16:26 egoitz New Issue
2020-06-02 16:26 egoitz Assigned To => platform
2020-06-02 16:26 egoitz Modules => Core
2020-06-02 16:26 egoitz Triggers an Emergency Pack => No
2020-06-03 10:16 egoitz Summary Grid timeout is now working on the popup for audit trail => Grid timeout is not working on the popup for audit trail
2020-06-03 18:33 cberner Assigned To platform => cberner
2020-06-04 10:06 alostale Tag Attached: Performance
2020-06-04 10:06 alostale Relationship added related to 0040479
2020-06-04 10:07 alostale Relationship added related to 0040449
2020-06-04 10:16 cberner Status new => scheduled
2020-06-04 10:27 cberner Note Added: 0120640
2020-06-04 10:27 cberner Review Assigned To => alostale
2020-06-04 11:37 alostale Status scheduled => feedback
2020-06-04 11:37 alostale Status feedback => new
2020-06-04 11:38 alostale Severity major => critical
2020-06-04 11:38 alostale Status new => scheduled
2020-06-04 12:13 hgbot Checkin
2020-06-04 12:13 hgbot Note Added: 0120645
2020-06-04 12:13 hgbot Status scheduled => resolved
2020-06-04 12:13 hgbot Resolution open => fixed
2020-06-04 12:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/45a22d23973d6bfb14514f5d58978d7879129bee [^]
2020-06-04 12:18 alostale Status resolved => closed
2020-06-04 12:18 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker